Zero Trust - Application Policy Unable to Require WARP

We have been using Zero Trust quite successfully the past few months, until recently when we had to add a few new applications. We currently have 5 applications with policies that require Access Group and WARP to be turned on. The access policy for that looks like the below:

Unfortunately, the issue we have now is that in creating a new policy for our new application, we are unable to create rules that Include/Require WARP. After selecting “Include WARP” and then “Require WARP” like we did previously, and then saving the policy, the summary screen looks like

This seems like a bug on the Zero Trust side. If not, how do we configure the policy correctly, to require Warp?